# DayPilot Modal

[DayPilot Modal](https://modal.daypilot.org/) - build a modal dialog dynamically from code.

![Modal dialog screenshot](https://modal.daypilot.org/page/image/nodbourhjjh4nntznvuytypefm/daypilot-modal-form-multiple-fields.png)

## Dynamic Form Features

* Create a modal dialog with multiple fields programmatically
* Auto-detection of fields from data if no form is specified
* Keyboard support (escape, enter, tab)
* Optional auto-focus on the first item
* Returns the original object with changes merged (additional fields not modified)
* Supported field types: text, date (with optional time), searchable drop-down list, radio list

## Modal Dialog Features

* Displays custom HTML or a standalone page
* Includes one-line replacements for `alert()`, `prompt()` and `confirm()`
* Modal - hides the background with a semi-transparent div
* Draggable
* Auto-stretching to show full content
* Responsive and mobile-friendly
* Minimal styling - will inherit your global styles
* Allows styling using CSS themes

## API Docs

https://api.daypilot.org/daypilot-modal-class/

## Tutorials

* https://code.daypilot.org/67418/javascript-confirm-replacement
* https://code.daypilot.org/17463/javascript-prompt-replacement
* https://code.daypilot.org/11136/javascript-alert-replacement

## Compatibility

* Chrome
* Firefox
* Edge

## Issues

Please report issues in the forum:

https://forums.daypilot.org

## License

Apache License 2.0

NOTICE
```
This product includes DayPilot Modal (https://modal.daypilot.org).
```

## Demos

* [DayPilot.Modal.alert() Demo](https://demos.daypilot.org/alert/)
* [DayPilot.Modal.confirm() Demo](https://demos.daypilot.org/modal-confirm/)
* [DayPilot.Modal.prompt() Demo](https://demos.daypilot.org/modal-prompt/)